Package com.sap.ai.sdk.foundationmodels.rpt.generated.model

# Class TargetColumnConfig

java.lang.Object
com.sap.ai.sdk.foundationmodels.rpt.generated.model.TargetColumnConfig

public class TargetColumnConfig extends Object
Configuration for a target column in the prediction model.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static interface`
  `TargetColumnConfig.Builder`
  Builder helper class.
  `static interface`
  `TargetColumnConfig.Builder1`
  Builder helper class.
  `static enum`
  `TargetColumnConfig.TaskTypeEnum`
  The type of prediction task for this column.

- ## Constructor Summary

  Constructors
  Modifier
  Constructor
  Description
  `protected`
  `TargetColumnConfig()`
  Default constructor for TargetColumnConfig.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static TargetColumnConfig.Builder`
  `create()`
  Create a type-safe, fluent-api builder object to construct a new `TargetColumnConfig` instance with all required arguments.
  `boolean`
  `equals(Object o)`
  `Object`
  `getCustomField(String name)`
  Deprecated.
  Use `toMap()` instead.
  `Set<String>`
  `getCustomFieldNames()`
  Get the names of the unrecognizable properties of the `TargetColumnConfig`.
  `String`
  `getName()`
  The name of the target column.
  `PredictionPlaceholder`
  `getPredictionPlaceholder()`
  Get predictionPlaceholder
  `TargetColumnConfig.TaskTypeEnum`
  `getTaskType()`
  The type of prediction task for this column.
  `int`
  `hashCode()`
  `TargetColumnConfig`
  `name(String name)`
  Set the name of this `TargetColumnConfig` instance and return the same instance.
  `TargetColumnConfig`
  `predictionPlaceholder(PredictionPlaceholder predictionPlaceholder)`
  Set the predictionPlaceholder of this `TargetColumnConfig` instance and return the same instance.
  `void`
  `setCustomField(String customFieldName, Object customFieldValue)`
  Set an unrecognizable property of this `TargetColumnConfig` instance.
  `void`
  `setName(String name)`
  Set the name of this `TargetColumnConfig` instance.
  `void`
  `setPredictionPlaceholder(PredictionPlaceholder predictionPlaceholder)`
  Set the predictionPlaceholder of this `TargetColumnConfig` instance.
  `void`
  `setTaskType(TargetColumnConfig.TaskTypeEnum taskType)`
  Set the taskType of this `TargetColumnConfig` instance.
  `TargetColumnConfig`
  `taskType(TargetColumnConfig.TaskTypeEnum taskType)`
  Set the taskType of this `TargetColumnConfig` instance and return the same instance.
  `Map<String,Object>`
  `toMap()`
  Get the value of all properties of this `TargetColumnConfig` instance including unrecognized properties.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### TargetColumnConfig

    protected TargetColumnConfig()
    Default constructor for TargetColumnConfig.

- ## Method Details

  - ### name

    @Nonnull public TargetColumnConfig name(@Nonnull String name)
    Set the name of this `TargetColumnConfig` instance and return the same instance.
    Parameters:
      `name` - The name of the target column.
    Returns:
      The same instance of this `TargetColumnConfig` class

  - ### getName

    @Nonnull public String getName()
    The name of the target column.
    Returns:
      name The name of this `TargetColumnConfig` instance.

  - ### setName

    public void setName(@Nonnull String name)
    Set the name of this `TargetColumnConfig` instance.
    Parameters:
      `name` - The name of the target column.

  - ### predictionPlaceholder

    @Nonnull public TargetColumnConfig predictionPlaceholder(@Nonnull PredictionPlaceholder predictionPlaceholder)
    Set the predictionPlaceholder of this `TargetColumnConfig` instance and return the same instance.
    Parameters:
      `predictionPlaceholder` - The predictionPlaceholder of this `TargetColumnConfig`
    Returns:
      The same instance of this `TargetColumnConfig` class

  - ### getPredictionPlaceholder

    @Nonnull public PredictionPlaceholder getPredictionPlaceholder()
    Get predictionPlaceholder
    Returns:
      predictionPlaceholder The predictionPlaceholder of this `TargetColumnConfig` instance.

  - ### setPredictionPlaceholder

    public void setPredictionPlaceholder(@Nonnull PredictionPlaceholder predictionPlaceholder)
    Set the predictionPlaceholder of this `TargetColumnConfig` instance.
    Parameters:
      `predictionPlaceholder` - The predictionPlaceholder of this `TargetColumnConfig`

  - ### taskType

    @Nonnull public TargetColumnConfig taskType(@Nullable TargetColumnConfig.TaskTypeEnum taskType)
    Set the taskType of this `TargetColumnConfig` instance and return the same instance.
    Parameters:
      `taskType` - The type of prediction task for this column. If not provided, the model will infer the task type from the data.
    Returns:
      The same instance of this `TargetColumnConfig` class

  - ### getTaskType

    @Nullable public TargetColumnConfig.TaskTypeEnum getTaskType()
    The type of prediction task for this column. If not provided, the model will infer the task type from the data.
    Returns:
      taskType The taskType of this `TargetColumnConfig` instance.

  - ### setTaskType

    public void setTaskType(@Nullable TargetColumnConfig.TaskTypeEnum taskType)
    Set the taskType of this `TargetColumnConfig` instance.
    Parameters:
      `taskType` - The type of prediction task for this column. If not provided, the model will infer the task type from the data.

  - ### getCustomFieldNames

    @Nonnull public Set<String> getCustomFieldNames()
    Get the names of the unrecognizable properties of the `TargetColumnConfig`.
    Returns:
      The set of properties names

  - ### getCustomField

    @Nullable @Deprecated public Object getCustomField(@Nonnull String name) throws NoSuchElementException
    Deprecated.
    Use `toMap()` instead.
    Get the value of an unrecognizable property of this `TargetColumnConfig` instance.
    Parameters:
      `name` - The name of the property
    Returns:
      The value of the property
    Throws:
      `NoSuchElementException` - If no property with the given name could be found.

  - ### toMap

    @Nonnull public Map<String,Object> toMap()
    Get the value of all properties of this `TargetColumnConfig` instance including unrecognized properties.
    Returns:
      The map of all properties

  - ### setCustomField

    public void setCustomField(@Nonnull String customFieldName, @Nullable Object customFieldValue)
    Set an unrecognizable property of this `TargetColumnConfig` instance. If the map previously contained a mapping for the key, the old value is replaced by the specified value.
    Parameters:
      `customFieldName` - The name of the property
      `customFieldValue` - The value of the property

  - ### equals

    public boolean equals(@Nullable Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### toString

    @Nonnull public String toString()
    Overrides:
      `toString` in class `Object`

  - ### create

    public static TargetColumnConfig.Builder create()
    Create a type-safe, fluent-api builder object to construct a new `TargetColumnConfig` instance with all required arguments.